Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class VMCustomizationSpec

    java.lang.Object
      org.ow2.jasmine.vmm.api.VMCustomizationSpec

All Implemented Interfaces:
  java.io.Serializable

    public class VMCustomizationSpec

extends java.lang.Object
implements java.io.Serializable

The `VMCustomizationSpec` class is a helper class used to describe the customization parameters of a virtual machine to be created or cloned

See Also:
  Serialized Form

Constructor Summary
`VMCustomizationSpec()` Constructs a `VMConfigSpec` object
`VMCustomizationSpec(VMCustomizationSpec other)` Constructs a `VMConfigSpec` object as a copy of the argument

Method Summary
`void` | `addGuestOsCustomizationParam(java.lang.String paramName, java.lang.String paramValue)` Adds a guest-OS specific customization parameters
`void` | `addVnicIpSettings(VnicIPSettings ipSettings)` Adds an IP settings associated with a NIC attached to the VM
`java.util.Map<java.lang.String,java.lang.String>` | `getGuestOsCustomizationParams()` Returns the guest OS specific customization parameters
`java.util.List<java.lang.String>` | `getGuestOsDnsServerList()` Returns the list of DNS servers to be used by the guest OS
`java.lang.String` | `getGuestOsDomain()` Returns the guest OS DNS domain
`java.lang.String` | `getGuestOsHostName()` Returns the non-qualified hostname of the guest OS
`java.util.List<VnicIPSettings>` | `getVnicIpSettingsList()` Returns the IP settings of each NIC attached to the VM
`void` | `setGuestOsCustomizationParams(java.util.Map<java.lang.String,java.lang.String> guestCustomizationParams)` Sets guest-OS specific customization parameters
`void` | `setGuestOsDnsServerList(java.util.List<java.lang.String> dnsServerList)` Sets the list of DNS servers to be used by the guest OS
`void` | `setGuestOsDomain(java.lang.String domain)` Sets the DNS domain the guest OS belongs to
`void` | `setGuestOsHostName(java.lang.String hostName)` Sets the non-qualified hostname of the guest OS
`void` | `setVnicIpSettingsList(java.util.List<VnicIPSettings> ipSettingsList)` Sets the VNIC IP settings of the VNIC(s) attached to this VM

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMCustomizationSpec

    public VMCustomizationSpec(VMCustomizationSpec other)

  Constructs a `VMConfigSpec` object as a copy of the argument

  Parameters:
    `other` - original object to copy

### VMCustomizationSpec

    public VMCustomizationSpec()

  Constructs a `VMConfigSpec` object

Method Detail

### setGuestOsDomain

    public void setGuestOsDomain(java.lang.String domain)

  Sets the DNS domain the guest OS belongs to

  Parameters:
    `guestOsDomain` - DNS domain name

### getGuestOsDomain

    public java.lang.String getGuestOsDomain()

  Returns the guest OS DNS domain

  Returns:

### getGuestOsHostName

    public java.lang.String getGuestOsHostName()

  Returns the non-qualified hostname of the guest OS

  Returns:

### setGuestOsHostName

    public void setGuestOsHostName(java.lang.String hostName)

  Sets the non-qualified hostname of the guest OS

  Parameters:
    `guestOsHostName` - non-qualified hostname

### getGuestOsDnsServerList

    public java.util.List<java.lang.String> getGuestOsDnsServerList()

  Returns the list of DNS servers to be used by the guest OS

  Returns:
    list of DNS servers

### setGuestOsDnsServerList

    public void setGuestOsDnsServerList(java.util.List<java.lang.String> dnsServerList)

  Sets the list of DNS servers to be used by the guest OS

  Parameters:
    `guestOsDnsServerList` - list of DNS servers

### addVnicIpSettings

    public void addVnicIpSettings(VnicIPSettings ipSettings)

  Adds an IP settings associated with a NIC attached to the VM

  Parameters:
    `ipSettings` -

### setVnicIpSettingsList

    public void setVnicIpSettingsList(java.util.List<VnicIPSettings> ipSettingsList)

  Sets the VNIC IP settings of the VNIC(s) attached to this VM

  Parameters:
    `ipSettingsList` - the list of VNIC IP settings

### getVnicIpSettingsList

    public java.util.List<VnicIPSettings> getVnicIpSettingsList()

  Returns the IP settings of each NIC attached to the VM

  Returns:
    IP settings of each NIC attached to the VM

### getGuestOsCustomizationParams

    public java.util.Map<java.lang.String,java.lang.String> getGuestOsCustomizationParams()

  Returns the guest OS specific customization parameters

  Returns:
    the customization parameters as a map of (key, value)

### setGuestOsCustomizationParams

    public void setGuestOsCustomizationParams(java.util.Map<java.lang.String,java.lang.String> guestCustomizationParams)

  Sets guest-OS specific customization parameters

  Parameters:
    `guestCustomization` - the list of customization parameters to set

### addGuestOsCustomizationParam

    public void addGuestOsCustomizationParam(java.lang.String paramName,
                                             java.lang.String paramValue)

  Adds a guest-OS specific customization parameters

  Parameters:
    `paramName` - key of the parameter to add
    `paramValue` - value of the parameter to add

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 OW2 Consortium. All Rights Reserved.